This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276902 - SELinux is preventing totem-video-thu from using the 'dac_read_search' capabilities.
SELinux is preventing totem-video-thu from using the 'dac_read_search' capabi...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:daafd4cd62ca736e9c8799bb419...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 00:19 EDT by Edward Ovares Villegas
Modified: 2015-11-20 11:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 11:01:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Ovares Villegas 2015-11-01 00:19:56 EDT
Description of problem:
SELinux is preventing totem-video-thu from using the 'dac_read_search' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If desea ayudar a identificar si el dominio necesita este acceso, o posee un archivo con permisos equivocados en el sistema
Then activa auditoría completa para obtener información de la ruta relacionada con el archivo conflictivo, y generar el error nuevamente.
Do

Active auditoría completa
# auditctl -w /etc/shadow -p w
Intente recrear el AVC. Luego ejecute
# ausearch -m avc -ts recent
Si observa un registro PATH verifique permisos y pertenencia del archivo, y solucionelo, 
de lo contrario, repórtelo en bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If cree que totem-video-thu debería tener la capacidad de dac_read_search de forma predeterminada.
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Objects                Unknown [ capability ]
Source                        totem-video-thu
Source Path                   totem-video-thu
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.18.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-200.fc22.x86_64 #1 SMP Thu
                              Oct 8 03:23:55 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-10-31 15:25:06 CST
Last Seen                     2015-10-31 15:25:06 CST
Local ID                      f81ad885-b4ba-4582-a595-7c63db688734

Raw Audit Messages
type=AVC msg=audit(1446326706.14:613): avc:  denied  { dac_read_search } for  pid=3953 comm="totem-video-thu" capability=2  scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tclass=capability permissive=0


Hash: totem-video-thu,thumb_t,thumb_t,capability,dac_read_search

Version-Release number of selected component:
selinux-policy-3.13.1-128.18.fc22.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2015-11-20 11:01:15 EST
There is a problem with DAC permissions on some video on your system. Not a selinux issue.

Note You need to log in before you can comment on or make changes to this bug.